package dev.dinauer.maven.maven.core.context;

import dev.dinauer.maven.maven.shared.Extensions;

import java.util.Optional;

public class SnapshotContext extends VersionContext
{
    private final String date;
    private final String time;
    private final int buildNumber;
    private final String classifier;

    public SnapshotContext(Extensions extensions, String groupId, String artifactId, String filename, String version, String date, String time, int buildNumber, String classifier)
    {
        super(extensions, groupId, artifactId, filename, version);
        this.date = date;
        this.time = time;
        this.buildNumber = buildNumber;
        this.classifier = classifier;
    }

    public String date()
    {
        return date;
    }

    public String time()
    {
        return time;
    }

    public int buildNumber()
    {
        return buildNumber;
    }

    public Optional<String> classifier()
    {
        return Optional.ofNullable(classifier);
    }
}
